umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
umlobject.cpp File Reference
`#include "umlobject.h"`
`#include "classpropertiesdialog.h"`
`#include "debug_utils.h"`
`#include "enumliteral.h"`
`#include "uniqueid.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umllistview.h"`
`#include "umlobjectprivate.h"`
`#include "models/objectsmodel.h"`
`#include "package.h"`
`#include "folder.h"`
`#include "stereotype.h"`
`#include "object_factory.h"`
`#include "model_utils.h"`
`#include "import_utils.h"`
`#include "docwindow.h"`
`#include "optionstate.h"`
`#include "cmds.h"`
`#include <KLocalizedString>`
`#include <QApplication>`
`#include <QPointer>`
`#include "actor.h"`
`#include "artifact.h"`
`#include "association.h"`
`#include "attribute.h"`
`#include "umlcanvasobject.h"`
`#include "category.h"`
`#include "checkconstraint.h"`
`#include "classifier.h"`
`#include "component.h"`
`#include "datatype.h"`
`#include "entity.h"`
`#include "entityattribute.h"`
`#include "entityconstraint.h"`
`#include "enum.h"`
`#include "foreignkeyconstraint.h"`
`#include "instance.h"`
`#include "instanceattribute.h"`
`#include "node.h"`
`#include "operation.h"`
`#include "port.h"`
`#include "umlrole.h"`
`#include "template.h"`
`#include "uniqueconstraint.h"`
`#include "usecase.h"`

## Functions
QDebug | operator<< (QDebug out, const UMLObject &obj)

## Function Documentation

## ◆ operator<<()

QDebug operator<< | ( | QDebug | out,
|  | const UMLObject & | obj )

Print UML Object to debug output stream, so it can be used like uDebug() << "This object shouldn't be here: " << illegalObject;